---
search:
  tags:
    - Custom Roles V2
    - GET
seo:
  description: >-
    Lists custom roles with pagination. Reference for the GET
    /api/v2/{team_slug}/{app_slug}/custom-roles endpoint in the Management API
    v2.
sidebar:
  label: List custom roles
  badge: GET
title: List custom roles
type: openapi-operation
---
Lists custom roles with pagination.

`GET /api/v2/{team_slug}/{app_slug}/custom-roles`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "name": "string",
      "is_default": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
